> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch User by id

> API to fetch user object by passing it's unique `distinct_id`.



## OpenAPI

````yaml GET /v1/user/{distinct_id}/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/user/{distinct_id}/:
    get:
      summary: Fetch User by id
      description: API to fetch user object by passing it's unique `distinct_id`.
      operationId: fetch-user-profile
      parameters:
        - name: distinct_id
          in: path
          description: Unique identifier of the user in your system
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    distinct_id: _distinct_id_
                    properties:
                      $locale: en_GB
                      $timezone: America/New_York
                    created_at: '2025-04-04T21:37:36.712496+00:00'
                    updated_at: '2025-04-04T21:37:36.743167+00:00'
                    $email:
                      - value: john@example.com
                        status: active
                        perma_status: active
                    $inbox:
                      - value: 4nlPk4t4kurG5kChOELB8Q1LcDI9DHzHQ70st2E2C24
                        id_provider: suprsend
                        status: active
                        perma_status: active
              schema:
                type: object
                properties:
                  distinct_id:
                    type: string
                    example: _distinct_id_
                  properties:
                    type: object
                    description: >-
                      all user properties in key-value pair. SuprSend reserved
                      properties start with $
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-04-04T09:55:12.397Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-04-04T09:55:12.422Z'
                  $<channel>:
                    type: array
                    items:
                      type: object
                      properties:
                        value:
                          type: string
                          description: channel value
                        status:
                          type: string
                          example: active
                        perma_status:
                          type: string
                          description: >-
                            active/disabled. Perma_status is marked disabled in
                            case of hard bounce on the channel.
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 400
                    message: invalid_request_error
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    description: HTTP status code indicating the error.
                  message:
                    type: string
                    description: Description of the error type.
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````

Built with [Mintlify](https://mintlify.com).